# Generated by Django 4.1.6 on 2023-03-26 20:07

from django.db import migrations, models
from django.db.migrations import RunPython


def initialize_employment_dates(apps, schema_migration):
    WorkingContract = apps.get_model("employees", "WorkingContract")
    for contract in WorkingContract.objects.all():
        contract.employment_date = contract.start_date
        contract.save()  # employment date should be set automatically.


def noop(apps, schema_migration):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("employees", "0005_alter_workschedule_options_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="workingcontract",
            name="employment_date",
            field=models.DateField(
                blank=True,
                null=True,
                help_text="First date of employment at this working place.",
                verbose_name="Employment date",
            ),
        ),
        RunPython(initialize_employment_dates, noop),
        migrations.AlterField(
            model_name="workingcontract",
            name="employment_date",
            field=models.DateField(
                blank=True,
                help_text="First date of employment at this working place.",
                verbose_name="Employment date",
            ),
        ),
    ]
